tbb::flow::interface8::internal::async_gateway< Output > Class Template Referenceabstract

Pure virtual template class that defines interface for async communication. More...

`#include <flow_graph.h>`

Inheritance diagram for tbb::flow::interface8::internal::async_gateway< Output >:

## Public Types

typedef Output | output_type

## Public Member Functions

virtual bool | async_try_put (const output_type &i)=0
| Submit signal from an asynchronous activity to FG.
virtual void | async_reserve ()=0
| Increment reference count of graph to prevent premature return from wait_for_all.
virtual void | async_commit ()=0
| Decrement reference count of graph to allow return from wait_for_all.

## Detailed Description

### template<typename Output>
class tbb::flow::interface8::internal::async_gateway< Output >

Pure virtual template class that defines interface for async communication.

The documentation for this class was generated from the following file:

- flow_graph.h

Copyright © 2005-2015 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.